aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/kconfig/Makefile
diff options
context:
space:
mode:
authorLinus Torvalds <torvalds@linux-foundation.org>2015-11-11 00:06:50 -0500
committerLinus Torvalds <torvalds@linux-foundation.org>2015-11-11 00:06:50 -0500
commit152813e6e4bbb5f017e33eba7eb01bbda4b389b8 (patch)
treef0d0345a1ff7d6362881997cb67ee3c01a50614f /scripts/kconfig/Makefile
parentc34e6e0bd5d729948119d4b3e15b075ec0b80d6f (diff)
parentbe596aaa74090f553c61505ad03bb7a7460e5d23 (diff)
Merge branch 'kconfig' of git://git.kernel.org/pub/scm/linux/kernel/git/mmarek/kbuild
Pull kconfig updates from Michal Marek: - 'make xconfig' ported to Qt5, dropping support for Qt3 - merge_config.sh supports a single-input-file mode and also respects $KCONFIG_CONFIG - Fix for incorrect display of >= and > in dependency expressions * 'kconfig' of git://git.kernel.org/pub/scm/linux/kernel/git/mmarek/kbuild: (44 commits) Add current selection check. Use pkg-config to find Qt 4 and 5 instead of direct qmake kconfig: Fix copy&paste error kconfig/merge_config.sh: Accept a single file kconfig/merge_config.sh: Support KCONFIG_CONFIG Update the buildsystem for KConfig finding Qt Port xconfig to Qt5 - Update copyright. Port xconfig to Qt5 - Fix goParent issue. Port xconfig to Qt5 - on Back clicked, deselect old item. Port xconfig to Qt5 - Add(back) one click checkbox toggle. Port xconfig to Qt5 - Add(back) lineedit editing. Port xconfig to Qt5 - Remove some commented code. Port xconfig to Qt5 - Source format. Port xconfig to Qt5 - Add horizontal scrollbar, and scroll per pixel. Port xconfig to Qt5 - Change ConfigItem constructor parent type. Port xconfig to Qt5 - Disable ConfigList soring Port xconfig to Qt5 - Remove ConfigList::updateMenuList template. Port xconfig to Qt5 - Add ConfigList::mode to initializer list. Port xconfig to Qt5 - Add ConfigItem::nextItem to initializer list. Port xconfig to Qt5 - Tree widget set column titles. ...
Diffstat (limited to 'scripts/kconfig/Makefile')
-rw-r--r--scripts/kconfig/Makefile56
1 files changed, 14 insertions, 42 deletions
diff --git a/scripts/kconfig/Makefile b/scripts/kconfig/Makefile
index 3043d6b0b51d..d79cba4ce3eb 100644
--- a/scripts/kconfig/Makefile
+++ b/scripts/kconfig/Makefile
@@ -229,49 +229,21 @@ $(obj)/.tmp_qtcheck: $(src)/Makefile
229 229
230# Qt needs some extra effort... 230# Qt needs some extra effort...
231$(obj)/.tmp_qtcheck: 231$(obj)/.tmp_qtcheck:
232 @set -e; $(kecho) " CHECK qt"; dir=""; pkg=""; \ 232 @set -e; $(kecho) " CHECK qt"; \
233 if ! pkg-config --exists QtCore 2> /dev/null; then \ 233 if pkg-config --exists Qt5Core; then \
234 echo "* Unable to find the Qt4 tool qmake. Trying to use Qt3"; \ 234 cflags="-std=c++11 -fPIC `pkg-config --cflags Qt5Core Qt5Gui Qt5Widgets`"; \
235 pkg-config --exists qt 2> /dev/null && pkg=qt; \ 235 libs=`pkg-config --libs Qt5Core Qt5Gui Qt5Widgets`; \
236 pkg-config --exists qt-mt 2> /dev/null && pkg=qt-mt; \ 236 moc=`pkg-config --variable=host_bins Qt5Core`/moc; \
237 if [ -n "$$pkg" ]; then \ 237 elif pkg-config --exists QtCore; then \
238 cflags="\$$(shell pkg-config $$pkg --cflags)"; \ 238 cflags=`pkg-config --cflags QtCore QtGui`; \
239 libs="\$$(shell pkg-config $$pkg --libs)"; \ 239 libs=`pkg-config --libs QtCore QtGui`; \
240 moc="\$$(shell pkg-config $$pkg --variable=prefix)/bin/moc"; \ 240 moc=`pkg-config --variable=moc_location QtCore`; \
241 dir="$$(pkg-config $$pkg --variable=prefix)"; \
242 else \
243 for d in $$QTDIR /usr/share/qt* /usr/lib/qt*; do \
244 if [ -f $$d/include/qconfig.h ]; then dir=$$d; break; fi; \
245 done; \
246 if [ -z "$$dir" ]; then \
247 echo >&2 "*"; \
248 echo >&2 "* Unable to find any Qt installation. Please make sure that"; \
249 echo >&2 "* the Qt4 or Qt3 development package is correctly installed and"; \
250 echo >&2 "* either qmake can be found or install pkg-config or set"; \
251 echo >&2 "* the QTDIR environment variable to the correct location."; \
252 echo >&2 "*"; \
253 false; \
254 fi; \
255 libpath=$$dir/lib; lib=qt; osdir=""; \
256 $(HOSTCXX) -print-multi-os-directory > /dev/null 2>&1 && \
257 osdir=x$$($(HOSTCXX) -print-multi-os-directory); \
258 test -d $$libpath/$$osdir && libpath=$$libpath/$$osdir; \
259 test -f $$libpath/libqt-mt.so && lib=qt-mt; \
260 cflags="-I$$dir/include"; \
261 libs="-L$$libpath -Wl,-rpath,$$libpath -l$$lib"; \
262 moc="$$dir/bin/moc"; \
263 fi; \
264 if [ ! -x $$dir/bin/moc -a -x /usr/bin/moc ]; then \
265 echo "*"; \
266 echo "* Unable to find $$dir/bin/moc, using /usr/bin/moc instead."; \
267 echo "*"; \
268 moc="/usr/bin/moc"; \
269 fi; \
270 else \ 241 else \
271 cflags="\$$(shell pkg-config QtCore QtGui Qt3Support --cflags)"; \ 242 echo >&2 "*"; \
272 libs="\$$(shell pkg-config QtCore QtGui Qt3Support --libs)"; \ 243 echo >&2 "* Could not find Qt via pkg-config."; \
273 moc="\$$(shell pkg-config QtCore --variable=moc_location)"; \ 244 echo >&2 "* Please install either Qt 4.8 or 5.x. and make sure it's in PKG_CONFIG_PATH"; \
274 [ -n "$$moc" ] || moc="\$$(shell pkg-config QtCore --variable=prefix)/bin/moc"; \ 245 echo >&2 "*"; \
246 exit 1; \
275 fi; \ 247 fi; \
276 echo "KC_QT_CFLAGS=$$cflags" > $@; \ 248 echo "KC_QT_CFLAGS=$$cflags" > $@; \
277 echo "KC_QT_LIBS=$$libs" >> $@; \ 249 echo "KC_QT_LIBS=$$libs" >> $@; \